#version 460 compatibility

uniform vec3 cameraPosition;
uniform mat4 gbufferModelView;
uniform mat4 gbufferModelViewInverse;

out vec2 Texcoord;
out vec4 Color;

void main()
{
    gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
    Texcoord = gl_MultiTexCoord0.xy;
    Color = gl_Color;
}